Vector::BLF::MostStatisticEx(3)

NAME
Vector::BLF::MostStatisticEx - MOST_STATISTICEX.

SYNOPSIS

#include <MostStatisticEx.h>

Inherits Vector::BLF::ObjectHeader2.

  Public Member Functions
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader2
ObjectHeader2 (const ObjectType objectType)
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint16_t calculateHeaderSize () const override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & operator= (const ObjectHeaderBase &)=default
ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & operator= (ObjectHeaderBase &&)=default

  Public Attributes
uint16_t channel {}
application channel
uint16_t reservedMostStatisticEx1 {}
uint32_t codingErrors {}
uint32_t frameCounter {}
uint32_t reservedMostStatisticEx2 {}
Public Attributes inherited from Vector::BLF::ObjectHeader2
uint32_t objectFlags {ObjectFlags::TimeOneNans}
object flags
uint8_t timeStampStatus {}
time stamp status
uint8_t reservedObjectHeader {0}
uint16_t objectVersion {0}
object specific version
uint64_t objectTimeStamp {0}
object timestamp
uint64_t originalTimeStamp {0}
original object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t signature {ObjectSignature}
signature (ObjectSignature)
uint16_t headerSize {}
sizeof object header
uint16_t headerVersion {}
header version (1)
uint32_t objectSize {}
object size
ObjectType objectType {ObjectType::UNKNOWN}
object type

  Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader2
enum ObjectFlags : uint32_t { TimeTenMics = 0x00000001, TimeOneNans = 0x00000002 }
enum TimeStampStatus : uint8_t { Orig = 0x01, SwHw = 0x02, User = 0x10 }

Detailed Description

MOST_STATISTICEX. Event transports some bus statistic information that was previously (until CANoe/ CANalyzerVersion 6.1) carried by the main bus statistic event but was not logged. Usually the event is not visible in a Trace window.

Member Function Documentation

  uint32_t Vector::BLF::MostStatisticEx::calculateObjectSize () const [override], [virtual]
Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::MostStatisticEx::read (AbstractFile & is) [override], [virtual]
Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::MostStatisticEx::write (AbstractFile & os) [override], [virtual]
Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

Member Data Documentation

  uint16_t Vector::BLF::MostStatisticEx::channel {}

application channel Application channel

  uint32_t Vector::BLF::MostStatisticEx::codingErrors {}
Number of coding errors

  uint32_t Vector::BLF::MostStatisticEx::frameCounter {}
MOST frame counter

  uint16_t Vector::BLF::MostStatisticEx::reservedMostStatisticEx1 {}
reserved

  uint32_t Vector::BLF::MostStatisticEx::reservedMostStatisticEx2 {}
reserved

Author

Generated automatically by Doxygen for Vector BLF from the source code.